%define upstream_name    Data-BitStream
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A bit stream class including integer coding
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mouse)
BuildRequires: perl(Mouse::Role)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
A Mouse/Moose class providing read/write access to bit streams. This
includes many integer coding methods as well as straightforward ways to
implement new codes.

Bit streams are often used in data compression and in embedded products
where memory is at a premium. While this Perl implementation may not be
appropriate for many of these applications (speed and Perl), it can be very
useful for prototyping and experimenting with different codes. A future
implementation using XS for internals may resolve some performance
concerns.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json TODO README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Thu Nov 10 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 166071
- imported package perl-Data-BitStream


* Thu Nov 10 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
